quickedit:
  version: VERSION
  js:
    # Core.
    js/quickedit.js: {}
    js/util.js: {}
    # Models.
    js/models/BaseModel.js: {}
    js/models/AppModel.js: {}
    js/models/EntityModel.js: {}
    js/models/FieldModel.js: {}
    js/models/EditorModel.js: {}
    # Views.
    js/views/AppView.js: {}
    js/views/FieldDecorationView.js: {}
    js/views/EntityDecorationView.js: {}
    js/views/EntityToolbarView.js: {}
    js/views/ContextualLinkView.js: {}
    js/views/FieldToolbarView.js: {}
    js/views/EditorView.js: {}
    # Other.
    js/theme.js: {}
  css:
    component:
      css/quickedit.module.css: {}
    theme:
      css/quickedit.theme.css: {}
      css/quickedit.icons.theme.css: {}
  dependencies:
    - core/jquery
    - core/once
    - core/jquery.once.bc
    - core/internal.underscore
    - core/internal.backbone
    - core/internal.jquery.form
    - core/drupal
    - core/drupal.displace
    - core/drupal.form
    - core/drupal.ajax
    - core/drupal.debounce
    - core/drupalSettings
    - core/drupal.dialog
    - core/popperjs

quickedit.inPlaceEditor.form:
  version: VERSION
  js:
    js/editors/formEditor.js: {}
  dependencies:
    - quickedit/quickedit

quickedit.ckeditor5-temporary-work-around:
  # "Temporary work-around until https://www.drupal.org/project/drupal/issues/3196689 lands."
  css:
    theme:
      css/editors/formattedText/ckeditor5.workaround.css: { }

quickedit.inPlaceEditor.formattedText:
  version: VERSION
  css:
    component:
      css/editors/formattedText.ckeditor.css: {}
      css/editors/formattedText.ckeditor5.css: {}
  js:
    js/editors/formattedTextEditor.js: { attributes: { defer: true } }
  dependencies:
    - quickedit/quickedit
    - editor/drupal.editor
    - core/drupal.ajax
    - core/drupalSettings

quickedit.inPlaceEditor.plainText:
  version: VERSION
  js:
    js/editors/plainTextEditor.js: {}
  dependencies:
    - quickedit/quickedit

quickedit.inPlaceEditor.image:
  version: VERSION
  js:
    js/editors/image.js: {}
  css:
    component:
      css/editors/image.css: {}
    theme:
      css/editors/image.theme.css: {}
  dependencies:
    - core/jquery
    - core/drupal
    - core/underscore
    - quickedit/quickedit
